/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE
  e_obj_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_obj_not_exists, -04043);
BEGIN
  EXECUTE IMMEDIATE 'DROP TYPE xxas_ca_review_tbl force';
  EXECUTE IMMEDIATE 'DROP TYPE xxas_ca_review_type force';
EXCEPTION
  WHEN e_obj_not_exists THEN
    NULL;
END;
/

create or replace TYPE xxas_ca_review_type AS OBJECT
  (transaction_mode      varchar2(20)
  ,proportion            number
  ,concatenated_segments varchar2(4000)
  ,start_date            date
  ,end_date              date
  );
/

CREATE OR REPLACE TYPE xxas_ca_review_tbl IS
TABLE OF xxas_ca_review_type
/

COMMIT;
EXIT;
